{
  "feature_selection_params": {
    "method": "NONE",
    "random_forest_params": {
      "n_trees": 30,
      "depth": 10,
      "n_features": 25
    },
    "lasso_params": {
      "alpha": [
        0.01,
        0.1,
        1.0,
        10.0,
        100.0
      ],
      "cross_validate": true
    },
    "pca_params": {
      "n_features": 25,
      "variance_proportion": 0.9
    },
    "correlation_params": {
      "min_abs_correlation": 0.0,
      "max_abs_correlation": 1.0,
      "n_features": 25
    },
    "custom_params": {
      "code": "# type your code here"
    }
  },
  "preprocessingFitSampleRatio": 1.0,
  "preprocessingFitSampleSeed": 1337,
  "target_remapping": [
    {
      "sourceValue": "no",
      "mappedValue": 0,
      "sampleFreq": 0
    },
    {
      "sourceValue": "yes",
      "mappedValue": 1,
      "sampleFreq": 0
    }
  ],
  "skipPreprocessing": false,
  "per_feature": {
    "age": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "age",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "job": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "job",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "marital": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "marital",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "education": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "education",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "default": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "default",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "balance": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "balance",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "housing": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "housing",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "loan": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "loan",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "contact": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "contact",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "day": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "day",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "month": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "month",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "duration": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "duration",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "campaign": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "campaign",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "pdays": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "pdays",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "previous": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "previous",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "poutcome": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "poutcome",
      "role": "INPUT",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "y": {
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "name": "y",
      "role": "TARGET",
      "type": "CATEGORY",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    }
  },
  "feature_generation": {
    "pairwise_linear": {
      "behavior": "DISABLED"
    },
    "polynomial_combinations": {
      "behavior": "DISABLED"
    },
    "manual_interactions": {
      "interactions": []
    },
    "numericals_clustering": {
      "k": 0,
      "all_features": false,
      "input_features": [],
      "behavior": "DISABLED"
    },
    "categoricals_count_transformer": {
      "all_features": false,
      "input_features": [],
      "behavior": "DISABLED"
    }
  }
}